<!DOCTYPE html>
<html>
  <head>
    <meta name="viewport" content="width=320; user-scalable=no" />
    <meta http-equiv="Content-type" content="text/html; charset=utf-8">
    <title>PhoneGap - CameraSample</title>
	<link rel="stylesheet" href="css/jquery.mobile-1.0rc2.min.css" />
	<script type="text/javascript" src="js.lib/phonegap-1.2.0.js"></script>
	<script type="text/javascript" src="js.lib/jquery-1.7.min.js"></script>
	<script type="text/javascript" src="js.lib/jquery.mobile-1.0rc2.min.js"></script>
	<script type="text/javascript">
<!--

window.onload = function() {
	document.addEventListener('deviceready', onDeviceReady, false);
};

// ネイティブデバイスとの連携が出来たタイミング
function onDeviceReady() {
	$(document).ready(function(){

		// カメラボタンのクリックイベント
		$('#btnCameraDo').click(function () {
			// カメラ起動。
			navigator.camera.getPicture(onSuccess, onFail, { quality: 50, destinationType: Camera.DestinationType.FILE_URI });

			/**
			 * カメラIntentから正常にコールバックされた。
			 * @param String src # 撮影した写真が格納されたURI
			 */
			function onSuccess(src) {
				// リストに追加する。
				$('#images').prepend('<li>' + src +'</li>');
				$('#images').listview('refresh') ; // jQueryMobileのリストスタイルをリフレッシュ
			}

			// カメラIntentと連携エラー
			function onFail(message) {
			    alert('エラーが発生しました: ' + message);
			}
		});
	});
}

// -->
		</script>
	</head>
	<body>
		<button id="btnCameraDo">カメラ起動</button>
		<ul id="images" data-role="listview"></ul>
	</body>
</html>
